亚马逊促销信息
Amazon Deals 从亚马逊的”今日特惠”页面返回结构化数据,包括限时优惠、优惠券标签和折扣价格。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=todays-deals
| 参数 | 类型 | 是否必需 | 说明 |
|---|---|---|---|
api_key | string | 是 | 您的 SERP API 密钥(与 Amazon 共用)。 |
engine | string | 是 | 必须为 amazon。 |
type | string | 是 | 必须为 todays-deals。 |
category_id | string | 是 | 用于限定特惠范围的类别 ID(例如汽车用品类别为 15684181)。 |
domain | string | 否 | 市场域名,默认为 amazon.com。 |
device | desktop | mobile | 否 | 模拟的设备类型。 |
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=todays-deals&category_id=15684181"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "todays-deals", "category_id": "15684181",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'todays-deals', category_id: '15684181',});
const res = await fetch(url);const data = await res.json();{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "todays-deals", "category_id": "15684181" }, "category_results": { "product_results": [ { "position": 1, "product_id": "B081T7N948", "title": "Cleaning Gel for Car, Car Cleaning Kit", "link": "/dp/B081T7N948", "price": "$5.94", "price_raw": "$9.99", "currency": "$", "rating": { "rating": "4.1 out of 5 stars", "total_ratings": 27889 }, "deal": "Limited time deal" }, { "position": 2, "product_id": "B07Q6CPQK4", "title": "Govee Interior Lights for Car", "price": "$19.99", "coupon": { "badge_text": "Save $2.00", "description": "$2.00 coupon applied at checkout" } } ] }}